#[derive(Clone)]
pub struct Node {
    pub value: String,
    pub left: String,
    pub right: String,
}

pub fn parse_line(s: &str) -> Node {
    // AAA = (BBB, CCC)
    let s1: Vec<&str> = s.split('=').collect();
    let node_val = s1[0].trim();

    let s2 = s1[1].replace(&['(', ')'], "");
    let s3: Vec<&str> = s2.trim().split(',').collect();
    let node_left = s3[0].trim();
    let node_right = s3[1].trim();

    Node {
        value: node_val.to_string(),
        left: node_left.to_string(),
        right: node_right.to_string(),
    }
}
