pub mod common;
pub mod part_one;
pub mod part_two;

use crate::utils::solution::Solution;

pub struct DaySolution;

impl Solution for DaySolution {

    fn input_path(&self) -> &'static str {
        "Not implemented"
    }

    fn part_one(&self) -> String {
        // Implementation for part one of day 1
        // ...
        part_one::part_one()
    }

    fn part_two(&self) -> String {
        // Implementation for part two of day 1
        // ...
        part_two::part_two()
    }
}
