pub fn parse_line(s: &str) -> Vec<i32> {
    s.split_whitespace().map(|x| x.parse().unwrap()).collect()
}

pub fn get_differences(nums: Vec<i32>) -> Vec<i32> {
    nums.windows(2).map(|w| w[1] - w[0]).collect()
}

pub fn all_zeros(nums: Vec<i32>) -> bool {
    nums.iter().all(|&x| x == 0)
}