pub mod part_one;
pub mod part_two;
// pub mod common;

use crate::utils::solution::Solution;
use crate::utils::input_reader;

pub struct DaySolution ;


impl Solution for DaySolution {

    fn input_path(&self) -> &'static str {
        "input/2023/day_15/input_test.txt"
    }

    fn part_one(&self) -> String {
        input_reader::read_input_file(self.input_path(), part_one::part_one)
    }

    fn part_two(&self) -> String {
        input_reader::read_input_file(self.input_path(), part_two::part_two)
        // String::from("Not implemented")
    }
}